import { Component, Input, Injectable} from '@angular/core';
import { Store } from '@ngrx/store';
import * as mapReducers from '../../reducers/map.reducer';
import { commonReducers,ItemTypeService,IListItem } from '@farmmaps/common';



@Injectable()
export abstract class AbstractItemListItemComponent {
  @Input() item: IListItem

  constructor(public store: Store<mapReducers.State | commonReducers.State>, public itemTypeService: ItemTypeService) {
  } 
}

@Injectable()
export abstract class AbstractItemWidgetComponent {
  @Input() item: IListItem

  constructor(public store: Store<mapReducers.State | commonReducers.State>, public itemTypeService: ItemTypeService) {
  }
}

@Injectable()
@Component({
    selector: 'fm-map-item-list-item',
  templateUrl: './item-list-item.component.html',
    styleUrls: ['./item-list-item.component.scss']
})
export class ItemListItemComponent extends AbstractItemListItemComponent {

  constructor(store: Store<mapReducers.State | commonReducers.State>, itemTypeService: ItemTypeService) {
    super(store, itemTypeService);
  }
}
